Module javafx.controls
Package javafx.scene.control.skin

# Class ColorPickerSkin

java.lang.Object
javafx.scene.control.SkinBase<ComboBoxBase<T>>
javafx.scene.control.skin.ComboBoxBaseSkin<T>
javafx.scene.control.skin.ComboBoxPopupControl<Color>
javafx.scene.control.skin.ColorPickerSkin

All Implemented Interfaces:
  `Skin<ComboBoxBase<Color>>`

    public class ColorPickerSkin
    extends ComboBoxPopupControl<Color>

Default skin implementation for the `ColorPicker` control.

Since:
  9
See Also:
  `ColorPicker`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ColorPickerSkin​(ColorPicker control)` | Creates a new ColorPickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static List<CssMetaData<? extends Styleable,​?>>` | `getClassCssMetaData()` | Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
  `protected TextField` | `getEditor()` | ColorPicker does not use a main text field, so this method has been overridden to return null.

  ### Methods declared in class javafx.scene.control.skin.ComboBoxPopupControl

  `getConverter, getPopupContent`

  ### Methods declared in class javafx.scene.control.skin.ComboBoxBaseSkin

  `getDisplayNode, hide, show`

  ### Methods declared in class javafx.scene.control.SkinBase

  `computeBaselineOffset, computeMaxHeight, computeMaxWidth, computeMinHeight, computeMinWidth, computePrefHeight, computePrefWidth, consumeMouseEvents, executeAccessibleAction, getChildren, getCssMetaData, layoutChildren, layoutInArea, layoutInArea, layoutInArea, positionInArea, positionInArea, pseudoClassStateChanged, queryAccessibleAttribute, registerChangeListener, registerInvalidationListener, registerListChangeListener, snappedBottomInset, snappedLeftInset, snappedRightInset, snappedTopInset, snapPosition, snapPositionX, snapPositionY, snapSize, snapSizeX, snapSizeY, snapSpace, snapSpaceX, snapSpaceY, unregisterChangeListeners, unregisterInvalidationListeners, unregisterListChangeListeners`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods declared in interface javafx.scene.control.Skin

  `dispose, getNode, getSkinnable`

- ## Constructor Details

  - ### ColorPickerSkin

    public ColorPickerSkin​(ColorPicker control)
    Creates a new ColorPickerSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.
    Parameters:
      `control` - The control that this skin should be installed onto.

- ## Method Details

  - ### getClassCssMetaData

    public static List<CssMetaData<? extends Styleable,​?>> getClassCssMetaData()
    Returns the CssMetaData associated with this class, which may include the CssMetaData of its superclasses.
    Returns:
      the CssMetaData associated with this class, which may include the CssMetaData of its superclasses

  - ### getEditor

    protected TextField getEditor()
    ColorPicker does not use a main text field, so this method has been overridden to return null.
    Specified by:
      `getEditor` in class `ComboBoxPopupControl<Color>`
    Returns:
      the editor